Puzzle / Developers
API referenceOAuth

Authorize (OAuth 2.0 + PKCE)

GET /oauth/authorize

GET/oauth/authorize

Query Parameters

response_type*"code"

Must be code for the Authorization Code flow.

Value in

  • "code"
client_id*string

The client identifier issued to the app.

redirect_uri?string

One of the app's registered redirect URIs. REQUIRED if it was included during the initial authorization request registration.

Formaturi
scope?string

Space-delimited scopes being requested.

state?string

Opaque value to maintain state between the request and callback. Returned unchanged to the redirect_uri.

code_challenge?string

PKCE code challenge derived from the code_verifier. REQUIRED for public clients and recommended for all clients.

code_challenge_method?string

The method used to derive code_challenge (recommended S256).

Default"S256"

Value in

  • "S256"
  • "plain"

Response Body

curl -X GET "https://example.com/oauth/authorize?response_type=code&client_id=string"
Empty

Schema refreshed 2026-11-11T18:57:48.657Z